#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lxqt-config
Version		:	1.4.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Config tools for LXQt desktop suite
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/lxqt/lxqt-config/


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	liblxqt
BuildRequires	:	lxqt-build-tools
BuildRequires	:	lxqt-menu-data
BuildRequires	:	kf5-libkscreen-devel
BuildRequires	:	kf5-kwindowsystem-devel
BuildRequires	:	qt5-qttools-devel
BuildRequires	:	qt5-qtdeclarative-devel
BuildRequires	:	qt5-qtsvg-devel
BuildRequires	:	xorg-libXcursor
BuildRequires	:	xorg-libXi
BuildRequires	:	xf86-input-libinput
BuildRequires	:	Vulkan-Loader-devel
#-----------------------------------------------------------------------------
%description
'%{name}' is providing several tools involved in the configuration
of both LXQt and the underlying operating system.

On the one hand it is featuring several GUI tools to configure topics
like general appearance, pointer devices or screen resolutions.   
On the other hand there's a GUI "Configuration Center" which summarizes
all those configuration tools as well as counterparts of other LXQt
components or third-party applications.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_libdir}/%{name}/lib%{name}-cursor.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-*.desktop
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/lxqt/icons/*.svg
%{_datadir}/lxqt/translations/%{name}*/%{name}*_*.qm
%{_mandir}/man1/%{name}*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-S .						\
	-D CMAKE_BUILD_TYPE=Release			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}		\
	-D CMAKE_CXX_STANDARD=17			\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
